//
//  ViewController.m
//  ex_calcQuestion
//
//  Created by yoshiyuki oshige on 2014/04/02.
//  Copyright (c) 2014年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
//ラベルaと答えをアウトレット接続してプロパティ宣言する
@property (weak, nonatomic) IBOutlet UILabel *aLabel;
@property (weak, nonatomic) IBOutlet UILabel *ans1Label;
//ラベルbと答えをアウトレット接続してプロパティ宣言する
@property (weak, nonatomic) IBOutlet UILabel *bLabel;
@property (weak, nonatomic) IBOutlet UILabel *ans2Label;

//出題ボタンとアクション接続してメソッド宣言する
- (IBAction)makeExamination:(UIButton *)sender;
//計算ボタンとアクション接続してメソッド宣言する
- (IBAction)calc:(UIButton *)sender;

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//出題する
- (IBAction)makeExamination:(UIButton *)sender {
    //乱数を作る
    int a = arc4random()%20;// ０から19の整数
    int b = arc4random()%10 + 1;// 1から10の整数
    //数値をストリングに変換してラベルに表示する
    self.aLabel.text = [NSString stringWithFormat:@"%d", a];
    self.bLabel.text = [NSString stringWithFormat:@"%d", b];
    //答えのラベルに「?」を表示する
    self.ans1Label.text = @"?";
    self.ans2Label.text = @"?";
}

//計算する
- (IBAction)calc:(UIButton *)sender {
    // ラベルの値を取り出して計算できる数値にする
    int a = [self.aLabel.text intValue];
    int b = [self.bLabel.text intValue];
    
    //計算する
    int ans1 = 7+a;
    float ans2 = b/3.0;
    
    //計算結果をラベルに表示する
    self.ans1Label.text = [NSString stringWithFormat:@"%d", ans1];
    self.ans2Label.text = [NSString stringWithFormat:@"%.2f", ans2];
}

@end
