//
//  ViewController.m
//  ex_variable
//
//  Created by yoshiyuki oshige on 2013/12/11.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()
{
    //問題式で使うインスタンス変数の宣言
    int a, b;
}
//ラベルをアウトレット接続してプロパティ宣言する
@property (weak, nonatomic) IBOutlet UILabel *questionLabel;
@property (weak, nonatomic) IBOutlet UILabel *ansLabel;

//ボタンをアクション接続してメソッド宣言する
- (IBAction)makeExamination:(UIButton *)sender;
- (IBAction)calc:(UIButton *)sender;

//問題を作るメソッドの宣言
- (void)examination;

@end

@implementation ViewController

//画面（ビュー）が読み込まれたら実行される
- (void)viewDidLoad
{
    [super viewDidLoad];
	//出題する
    [self examination];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//出題する
- (IBAction)makeExamination:(UIButton *)sender {
    [self examination];
}

//計算する
- (IBAction)calc:(UIButton *)sender {
    //a+bの計算結果を表示する
    self.ansLabel.text = [NSString stringWithFormat:@"%d", a+b];
}

//問題を作る
- (void)examination
{
    a = arc4random()%10+5;// 5から14の整数
    b = arc4random()%10+10;// 10から19の整数
    //問題の数式を作る
    NSString *question = [NSString stringWithFormat:@"%d + %d =", a, b];
    //数式をラベルに表示する
    self.questionLabel.text = question;
    //答えに「?」を表示する
    self.ansLabel.text = @"?";
}

@end
